Count filtered products
Counts products based on specified filters
query Parameters
statusesFilter by product status - must be included in array format.
start_dateOnly count records with last_updated_date > start_date
end_dateOnly count records with last_updated_date < end_date
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Count filtered products › Responses
A count of products matching the criteria.
countTotal count of products matching the filters.
Lookup product by UPC
path Parameters
upc^(?=.*[1-9])[0-9]{1,… · required · style: simpleUPC for the desired product
A valid UPC. Must contain at least one non-zero digit and must not exceed 14 characters.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Lookup product by UPC › Responses
Product found
statuslast_updated_dateupcproduct_namePUT product attributes by UPC
For the provided UPC, overwrite the existing product's attributes.
path Parameters
upc^(?=.*[1-9])[0-9]{1,… · required · style: simpleUPC for the desired product
A valid UPC. Must contain at least one non-zero digit and must not exceed 14 characters.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
PUT product attributes by UPC › Responses
Product attributes persisted
statuslast_updated_dateupcproduct_namePATCH product attributes by UPC
Update or append attributes to the product identified by the provided UPC.
path Parameters
upc^(?=.*[1-9])[0-9]{1,… · required · style: simpleUPC for the desired product
A valid UPC. Must contain at least one non-zero digit and must not exceed 14 characters.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
PATCH product attributes by UPC › Responses
Product attributes persisted
statuslast_updated_dateupcproduct_nameBulk upload products
Upload products in text/csv format. The header row must include both "upc", and "name" (the product's name) at a minimum.
For the best classification results, please provide "brand" and "description".
Please note that the following fields, when provided by a supplier or retailer, will be treated as special parameters for a product which cannot be overwritten by enrichment or other automation and will be used for classification: "upc", "name", "brand", "supplier", "ingredients", "sds", "manual", "un38", "battery_chemistry", "size", "form" and "external_id".
Suppliers: Additionally, when providing "ingredients", please be advised not to include proprietary data, as this field will be shared with retailers based on a UPC match.
Finally, your CSV may include any other parameters you wish to be persisted and returned back in future results to make integration with your applications easier. An example of this may be an SKU or a department code. Note that if you provide "external_id", it will appear in other parts of the SmarterSorting ecosystem, such as our UI portal.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Bulk upload products › Responses
Product batch successfully created
batchIdRetrieve filtered products
Returns products based on specified filters with pagination. Products will be ordered by last_updated_date descending.
query Parameters
start_dateOnly include records with last_updated_date > start_date
end_dateOnly include records with last_updated_date < end_date
statusesFilter by product status - must be included in array format.
page_sizeNumber of products per page (default 50, max 100)
page_tokenA pagination token used to continue retrieving results from a previous query. If omitted, the query starts from the beginning. Use the value returned in the response to request the next batch of results.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Retrieve filtered products › Responses
A list of products matching the criteria.
Pagination details.